package edu.travel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.dto.LoginDto;
import edu.travel.dto.SendSmsDto;
import edu.travel.entity.AccountInfo;
import edu.travel.entity.BtAccountInfo;

public interface BtAccountInfoService extends IService<BtAccountInfo> {
    AccountInfo findByPhone(String phone);

    BtAccountInfo doLogin(LoginDto loginDto);

    void sendSms(SendSmsDto sendSmsDto);
}
